agent_id: screenshot-taker
model: claude-haiku-4-6
squad: browser-and-automation
thread_type: P-Thread
purpose: Capture full-page and element screenshots via Browserless; visual QA, evidence capture, demo assets
status: ready
created: 2026-02-24
